org.apache.hc.client5.http.ssl

## Class SSLConnectionSocketFactoryBuilder

- java.lang.Object
- - org.apache.hc.client5.http.ssl.SSLConnectionSocketFactoryBuilder

- Deprecated.
  Use `DefaultClientTlsStrategy`

      @Deprecated
      public class SSLConnectionSocketFactoryBuilder
      extends Object

  Builder for `SSLConnectionSocketFactory` instances.

  When a particular component is not explicitly set this class will use its default implementation. System properties will be taken into account when configuring the default implementations when `useSystemProperties()` method is called prior to calling `build()`.

  - ssl.TrustManagerFactory.algorithm
  - javax.net.ssl.trustStoreType
  - javax.net.ssl.trustStore
  - javax.net.ssl.trustStoreProvider
  - javax.net.ssl.trustStorePassword
  - ssl.KeyManagerFactory.algorithm
  - javax.net.ssl.keyStoreType
  - javax.net.ssl.keyStore
  - javax.net.ssl.keyStoreProvider
  - javax.net.ssl.keyStorePassword
  - https.protocols
  - https.cipherSuites

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSLConnectionSocketFactoryBuilder()` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `SSLConnectionSocketFactory` | `build()` Deprecated.
    `static SSLConnectionSocketFactoryBuilder` | `create()` Deprecated.
    `SSLConnectionSocketFactoryBuilder` | `setCiphers(String... ciphers)` Deprecated. Sets enabled ciphers.
    `SSLConnectionSocketFactoryBuilder` | `setHostnameVerifier(HostnameVerifier hostnameVerifier)` Deprecated. Sets `HostnameVerifier` instance.
    `SSLConnectionSocketFactoryBuilder` | `setSslContext(SSLContext sslContext)` Deprecated. Sets `SSLContext` instance.
    `SSLConnectionSocketFactoryBuilder` | `setTlsVersions(String... tlslVersions)` Deprecated. Sets enabled `TLS` versions.
    `SSLConnectionSocketFactoryBuilder` | `setTlsVersions(org.apache.hc.core5.http.ssl.TLS... tlslVersions)` Deprecated. Sets enabled `TLS` versions.
    `SSLConnectionSocketFactoryBuilder` | `useSystemProperties()` Deprecated. Use system properties when creating and configuring default implementations.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SSLConnectionSocketFactoryBuilder

          public SSLConnectionSocketFactoryBuilder()

      Deprecated.

  - ### Method Detail

    - #### create

          public static SSLConnectionSocketFactoryBuilder create()

      Deprecated.

    - #### setSslContext

          public SSLConnectionSocketFactoryBuilder setSslContext(SSLContext sslContext)

      Deprecated.
      Sets `SSLContext` instance.
      Returns:
        this instance.

    - #### setTlsVersions

          public final SSLConnectionSocketFactoryBuilder setTlsVersions(String... tlslVersions)

      Deprecated.
      Sets enabled `TLS` versions.
      Returns:
        this instance.

    - #### setTlsVersions

          public final SSLConnectionSocketFactoryBuilder setTlsVersions(org.apache.hc.core5.http.ssl.TLS... tlslVersions)

      Deprecated.
      Sets enabled `TLS` versions.
      Returns:
        this instance.

    - #### setCiphers

          public final SSLConnectionSocketFactoryBuilder setCiphers(String... ciphers)

      Deprecated.
      Sets enabled ciphers.
      Returns:
        this instance.

    - #### setHostnameVerifier

          public SSLConnectionSocketFactoryBuilder setHostnameVerifier(HostnameVerifier hostnameVerifier)

      Deprecated.
      Sets `HostnameVerifier` instance.
      Returns:
        this instance.

    - #### useSystemProperties

          public final SSLConnectionSocketFactoryBuilder useSystemProperties()

      Deprecated.
      Use system properties when creating and configuring default implementations.
      Returns:
        this instance.

    - #### build

          public SSLConnectionSocketFactory build()

      Deprecated.

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.